a1mark Beginner

  • Member since Dec 12th 2020
  • Last Activity:
Posts
5
Likes Received
1
Points
31
Profile Hits
25
  • a1mark

    Post
    Clive, you've been a great help, thank you very much indeed. I have now upgraded Perch to 3.1.7 (and PHP to 7.4.16) and all looks well. Now I'm going to gird myself and try upgrading the Wikimedia software.

    Thanks again.
    Cheers - Mark
  • a1mark

    Post
    Perch: 3.1.1, PHP: 7.2.34, MySQL: 10.3.28, with PDO Server OS: Linux, litespeed Installed apps: content (3.1.1), assets (3.1.1), categories (3.1.1), perch_blog (5.6.1), perch_events (1.9.5), perch_gallery (2.8.9)
  • a1mark

    Post
    Clive, sorry to bother you again (or anyone else whom might be able to help) , I've decided to try to upgrade to the latest version of Perch. However, I can no longer find any documentation explaing what to do, do you know if there is any?

    Basically…
  • a1mark

    Like (Post)
    I don't know. But there was a PHP 7.3 fix in Perch 3.1.4 https://grabaperch.com/update/v3-1-4 in December 2018. To me, that means "proceed with caution". Testing on staging server is highly recommended :-)

    Personally, I would update Perch first before…
  • a1mark

    Post
    Hi Clive, that's very helpful, many thanks.

    Cheers - Mark
  • a1mark

    Thread
    Hi
    Is there a Perch vs PHP compatability table somewhere that I can refer to?

    Specifically, I'm trying to find out whether I can safely upgrade PHP from 7.2 to 7.3.27 without upsetting a Perch 3.1.1 that I am running. I dont want to upgrade the Perch…